<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');

if (isset($_POST['art_id_bod'])){ $art_id_bod=$_POST['art_id_bod'];}                        
if (isset($_POST['art_id'])){ $art_id=$_POST['art_id'];}                        
if (isset($_POST['art_referencia'])){ $art_referencia=$_POST['art_referencia'];}
if (isset($_POST['cantidad'])){$cantidad=$_POST['cantidad'];}
if (isset($_POST['precio_venta'])){ $precio_venta=$_POST['precio_venta'];}
if ($_POST['art_iva']>0){ $art_iva=$_POST['art_iva']; } else { $art_iva='0';}
if ($_POST['descuento']>0){ $descuento=$_POST['descuento']; } else { $descuento='0';}
if (isset($_POST['nombre'])){ $nombre=mb_strtoupper($_POST['nombre']);}
if (isset($_POST['tipo'])){ $tipo=$_POST['tipo'];}
if (isset($_POST['cambio'])){ $cambio=$_POST['cambio'];}
if (isset($_POST['com_id'])){ $com_id=$_POST['com_id'];}


for($i=0; $i<$cantidad; $i++)  
{
    $com_id=$_POST['com_id'];
    $sql1=mysqli_query($con,"SELECT * FROM  combos_articulos where combos_com_id='$com_id'");
    while($row1=mysqli_fetch_array($sql1))
    {
        $art_id=$row1['coma_art_id'];
        $com_cantidad=$row1['coma_art_cantidad'];
        $com_precio=$row1['coma_art_precio'];

        $sql2=mysqli_query($con,"SELECT * from articulos where  art_id='$art_id' ");
        $art2=mysqli_fetch_array($sql2);
        $art_referencia=$art2["art_referencia"];
        $nombre=$art2["art_nombre"];
        $art_iva=$art2["art_iva"];
        $art_tipo=$art2["art_tipo"];

        $sqll=mysqli_query($con,"SELECT cott_art_id FROM cotizacion_detalle_temp WHERE cott_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id' and cott_tipo='$art_tipo'") ;
        if($roww=mysqli_fetch_array($sqll))
        { 
            $can7=mysqli_query($con,"SELECT * FROM cotizacion_detalle_temp WHERE cott_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id'  and cott_tipo='$art_tipo'") or die(mysqli_error($con));  
                while($dato=mysqli_fetch_array($can7))
                {
                    $c=$dato['cott_cantidad'];
                    $suma=$c+$com_cantidad;
                }
            $registros=mysqli_query($con,"UPDATE cotizacion_detalle_temp Set cott_cantidad='$suma',cott_precio='$com_precio' 
            Where cott_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id' and cott_tipo='$art_tipo'") or die(mysqli_error($con));
        }
        else
        {   
            $insert_tmp=mysqli_query($con, "INSERT INTO cotizacion_detalle_temp (cott_art_id,cott_referencia,cott_nombre,cott_cantidad,cott_iva,cott_desc,cott_precio,cott_tipo,usuario,empresa) 
            VALUES ('$art_id','$art_referencia','$nombre','$com_cantidad','$art_iva','0','$com_precio','$art_tipo','$usu_id','$empresa')");
        }
    }
} 
?>
<script>
    loadTabla();
</script>
